Will the latest Airport Extreme (MC340LL/A) work with an older iMac?

My iMac is an USB (the dome type) w/OSX 10.4.11. My old extreme (the flying saucer) died.

Hardware Overview:

Machine Name: iMac
Machine Model: PowerMac6,1
CPU Type: PowerPC G4 (3.3)
Number Of CPUs: 1
CPU Speed: 1 GHz
L2 Cache (per CPU): 256 KB
Memory: 768 MB
Bus Speed: 167 MHz
Boot ROM Version: 4.6.8f4

  • Asked by Dale S from Las Vegas
  • Jan 1, 2011
QA AirPort Extreme Base Station

QA AirPort Extreme Base Station

Product No Longer Available

1 Answer from the Community

  • Answer

    Once the Extreme's wireless network has been setup by a Mac or Windows computer that meets minimum System Requirements for setup and management, your iMac can connect same as with the old model.

    Unfortunately, OS X 10.4.11 does not meet the minimum System Requirement for setup and management of the MC340LL/A current generation Extreme, although it does meet the minimum for previous generations.

    • Answered by Andrew H from Carmel
    • Jan 6, 2011